Page MenuHomePhabricator

Prevent creation of items having the same sitelinks (duplicates)
Open, HighPublic

Description

My bot created http://www.wikidata.org/w/index.php?title=Q38790&oldid=432372 and half an hour later it created an item having the same sitelinks: http://www.wikidata.org/w/index.php?title=Special:Undelete&target=Q39272&timestamp=20121113025848

I expected that this always fails with an error.

Details

Reference
bz42325

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:50 AM
bzimport set Reference to bz42325.
bzimport added a subscriber: Unknown Object (MLST).
Merl created this task.Nov 21 2012, 1:53 PM

I see the logs, but I cannot reproduce the issue. Can you point me to the code Merlbot is using? It is simply using the setitems module, right? But which flags are set?

It definitively should fail with an error, an that is what happens to me when I try it.

We should look whether the uniqueness check is done on the master database - if not, the conflict would not be detected before saving. Then, the item's primary data blob would be saved with the conflicting info, and only the secondary database update would cause a unique key error.

I can imagine the above scenario - but not really with a delay of 30 minutes. Slave lag just doesn't get that high.

Anyway: merl, can you check whether the request that created the second entry actually returned ok, or whether it returned a fatal error of some sort?

Merl added a comment.Nov 27 2012, 12:04 AM

GET:
action=wbsetitem&formal=xml
POST:
bot=1&exclude=ns|title|touched|descriptions&token=cf55697143ae059949f41143c66255e1%2B%5C&summary=Bot%3A+Erg%C3%A4nze%3A+%5B%5Bpt%3ASmooth+collie%5D%5D%2C%5B%5Bde%3AKurzhaarcollie%5D%5D%2C%5B%5Bja%3A%E3%82%B9%E3%83%A0%E3%83%BC%E3%82%B9%E3%83%BB%E3%82%B3%E3%83%AA%E3%83%BC%5D%5D%2C%5B%5Bpl%3AOwczarek+szkocki+kr%C3%B3tkow%C5%82osy%5D%5D%2C%5B%5Bcs%3AKolie+kr%C3%A1tkosrst%C3%A1%5D%5D%2C%5B%5Bru%3A%D0%9A%D0%BE%D0%BB%D0%BB%D0%B8+%D0%BA%D0%BE%D1%80%D0%BE%D1%82%D0%BA%D0%BE%D1%88%D1%91%D1%80%D1%81%D1%82%D0%BD%D1%8B%D0%B9%5D%5D%2C%5B%5Bfr%3AColley+%C3%A0+poil+court%5D%5D%2Cw%2Clt%2Cfi%2Cit&data=%7B%22sitelinks%22%3A%5B%7B%22site%22%3A%22ptwiki%22%2C%22title%22%3A%22Smooth+collie%22%2C%22add%22%3A%22%22%7D%2C%7B%22site%22%3A%22dewiki%22%2C%22title%22%3A%22Kurzhaarcollie%22%2C%22add%22%3A%22%22%7D%2C%7B%22site%22%3A%22jawiki%22%2C%22title%22%3A%22%E3%82%B9%E3%83%A0%E3%83%BC%E3%82%B9%E3%83%BB%E3%82%B3%E3%83%AA%E3%83%BC%22%2C%22add%22%3A%22%22%7D%2C%7B%22site%22%3A%22plwiki%22%2C%22title%22%3A%22Owczarek+szkocki+kr%C3%B3tkow%C5%82osy%22%2C%22add%22%3A%22%22%7D%2C%7B%22site%22%3A%22cswiki%22%2C%22title%22%3A%22Kolie+kr%C3%A1tkosrst%C3%A1%22%2C%22add%22%3A%22%22%7D%2C%7B%22site%22%3A%22ruwiki%22%2C%22title%22%3A%22%D0%9A%D0%BE%D0%BB%D0%BB%D0%B8+%D0%BA%D0%BE%D1%80%D0%BE%D1%82%D0%BA%D0%BE%D1%88%D1%91%D1%80%D1%81%D1%82%D0%BD%D1%8B%D0%B9%22%2C%22add%22%3A%22%22%7D%2C%7B%22site%22%3A%22frwiki%22%2C%22title%22%3A%22Colley+%C3%A0+poil+court%22%2C%22add%22%3A%22%22%7D%2C%7B%22site%22%3A%22enwiki%22%2C%22title%22%3A%22Smooth+Collie%22%2C%22add%22%3A%22%22%7D%2C%7B%22site%22%3A%22ltwiki%22%2C%22title%22%3A%22Trumpaplaukis+kolis%22%2C%22add%22%3A%22%22%7D%2C%7B%22site%22%3A%22fiwiki%22%2C%22title%22%3A%22Sile%C3%A4karvainen+skotlanninpaimenkoira%22%2C%22add%22%3A%22%22%7D%2C%7B%22site%22%3A%22itwiki%22%2C%22title%22%3A%22Smooth+Collie%22%2C%22add%22%3A%22%22%7D%5D%2C%22labels%22%3A%5B%7B%22language%22%3A%22pt%22%2C%22value%22%3A%22Smooth+collie%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22de%22%2C%22value%22%3A%22Kurzhaarcollie%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22ja%22%2C%22value%22%3A%22%E3%82%B9%E3%83%A0%E3%83%BC%E3%82%B9%E3%83%BB%E3%82%B3%E3%83%AA%E3%83%BC%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22pl%22%2C%22value%22%3A%22Owczarek+szkocki+kr%C3%B3tkow%C5%82osy%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22cs%22%2C%22value%22%3A%22Kolie+kr%C3%A1tkosrst%C3%A1%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22ru%22%2C%22value%22%3A%22%D0%9A%D0%BE%D0%BB%D0%BB%D0%B8+%D0%BA%D0%BE%D1%80%D0%BE%D1%82%D0%BA%D0%BE%D1%88%D1%91%D1%80%D1%81%D1%82%D0%BD%D1%8B%D0%B9%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22fr%22%2C%22value%22%3A%22Colley+%C3%A0+poil+court%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22en%22%2C%22value%22%3A%22Smooth+Collie%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22lt%22%2C%22value%22%3A%22Trumpaplaukis+kolis%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22fi%22%2C%22value%22%3A%22Sile%C3%A4karvainen+skotlanninpaimenkoira%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22it%22%2C%22value%22%3A%22Smooth+Collie%22%2C%22add%22%3A%22%22%7D%5D%2C%22aliases%22%3A%5B%7B%22language%22%3A%22de%22%2C%22value%22%3A%22Kurzhaar+Collie%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22de%22%2C%22value%22%3A%22Collie+Smooth%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22de%22%2C%22value%22%3A%22Kurzhaariger+Schottischer+Sch%C3%A4ferhund%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22de%22%2C%22value%22%3A%22Smooth+Collie%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22de%22%2C%22value%22%3A%22Langhaariger+Schottischer+Sch%C3%A4ferhund%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22pl%22%2C%22value%22%3A%22Collie+kr%C3%B3tkow%C5%82osy%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22pl%22%2C%22value%22%3A%22Collie+Smooth%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22cs%22%2C%22value%22%3A%22Kr%C3%A1tkosrst%C3%A1+kolie%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22ru%22%2C%22value%22%3A%22%D0%9A%D0%BE%D0%BB%D0%BB%D0%B8+%D0%BA%D0%BE%D1%80%D0%BE%D1%82%D0%BA%D0%BE%D1%88%D1%91%D1%80%D1%81%D1%82%D0%BD%D0%B0%D1%8F%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22fr%22%2C%22value%22%3A%22Colley+a+poil+court%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22fi%22%2C%22value%22%3A%22Nahkacollie%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22fi%22%2C%22value%22%3A%22Sile%C3%A4karvainen+collie%22%2C%22add%22%3A%22%22%7D%2C%7B%22language%22%3A%22fi%22%2C%22value%22%3A%22Lyhytkarvainen+collie%22%2C%22add%22%3A%22%22%7D%5D%7D

SETITEM:/api
/api:servedby=srv300
/api/error:code=save-failed
/api/error:info=Edit not allowed:

  • Site link [[cswiki:Kolie krátkosrstá]] already used by item [[Q38790]].
  • Site link [[dewiki:Kurzhaarcollie]] already used by item [[Q38790]].
  • Site link [[enwiki:Smooth Collie]] already used by item [[Q38790]].
  • Site link [[fiwiki:Sileäkarvainen skotlanninpaimenkoira]] already used by item [[Q38790]].
  • Site link [[frwiki:Colley à poil court]] already used by item [[Q38790]].
  • Site link [[itwiki:Smooth Collie]] already used by item [[Q38790]].
  • Site link [[jawiki:スムース・コリー]] already used by item [[Q38790]].
  • Site link [[ltwiki:Trumpaplaukis kolis]] already used by item [[Q38790]].
  • Site link [[plwiki:Owczarek szkocki krótkowłosy]] already used by item [[Q38790]].
  • Site link [[ptwiki:Smooth collie]] already used by item [[Q38790]].
  • Site link [[ruwiki:Колли короткошёрстный]] already used by item [[Q38790]].

I also found a second duplicate (about "Osteuropäischer Schäferhund") which is related to the first error in time.

wb_items_per_site is missing the sitelink information for this item (unique index). I already wrote in irc that it could be useful to write a maintenance script which compares json objects to rows in wb_items_per_site tables, so that more errors can be found.

Several people in the dev team has tried to locate this bug without success.

I wonder if we should put this on a semipermanent hold for now and double check it later when we have the new branch on wikidata.org. Putting more work into a bughunt when it is so close to a new rollout seems counterproductive.

With the new rollout we should probably do more logging in the transaction so we can identify if there is any problems.

merl, can you reproduce the bug on our test system http://wikidata-test-repo.wikimedia.de ?

Merl added a comment.Nov 30 2012, 1:33 PM

The question is how likely is it that this bug happens. A third error was reported on wikidata. We really need a script that detects these duplicates. If there are only these three reported errors reproducing the bug at testwiki will become very difficult.

My bot checks the existence of sitelinks using wbgetitems/wbgetentities. So if the second item is created by my bot and the delay to the first item is more than five minutes also the response of the get module must be wrong.

Merl added a comment.Dec 3 2012, 1:45 AM

I checked the logs for de:Superkritisch:

On a first try my bot got a 504 response. This caused that the request was resended to the server. The second try was successful with id 291265 response.

Some hours later my bot sended a wbgetitems query containing de:Superkritisch and got 291263 as response.

daniel added a comment.Dec 3 2012, 4:02 PM

I4972bd7b avoids a race condition concerning the uniqueness check on sitelinks. That may have cause this bug, although only if two edits where made less than 30 seconds apart.

There's a similar issue with the uniqueness check on label/description for items, but that doesn't concern the bug as reported.

Change I4972bd7b: (bug 42325) Avoid race condition in SiteLinkTable

Verified in Wikidata demo sprint 26

Reopening, it seems this problem still exists.

[[d:Q10000000]] was a duplicate of the now-deleted [[d:Q7357369]].

Additionally, my duplicate searcher has been finding them every now and then, but when my bot went on a mass-creation spree they started popping up even faster (see [[Special:Log/delete/Legoktm]])

mysql> select count(*) from logging where log_type="delete" and log_action="delete" and log_timestamp >= 20130300000000 and log_comment like "Exact dupe%";
+----------+

count(*)

+----------+

475

+----------+
1 row in set (0.12 sec)

("Exact dupe of Q###" is the deletion summary my bot prefills)

(Lowering priority, this is no longer as big of an issue as it used to be)

hoo added a comment.Apr 5 2013, 1:42 AM

Might be related to bug 45882 which maybe leaves the secondary storage in an inconsistent (-> incomplete) state.

*** Bug 48260 has been marked as a duplicate of this bug. ***

I think it is now impossible to create true duplicates after recent updates. Does anyone know how it could be tested/confirmed? Then we can close this bug.

hoo added a comment.Jul 17 2014, 11:34 PM

Sadly this still occurs on the site if bots submit the same new item twice during a very small time span.

For example:
https://www.wikidata.org/w/index.php?title=Q17294561&action=history
and https://www.wikidata.org/w/index.php?title=Q17294560&action=history

In this case both items were created within the same second... I'm not sure how to fix these problem. The only possible fix I can think of right now is to build a create-lock mechanism that uses memcached during entity creation, but that's going to be a lot of work for an ugly solution.

(In reply to Marius Hoch from comment #17)

Sadly this still occurs on the site if bots submit the same new item twice
during a very small time span.
For example:
https://www.wikidata.org/w/index.php?title=Q17294561&action=history
and https://www.wikidata.org/w/index.php?title=Q17294560&action=history
In this case both items were created within the same second... I'm not sure
how to fix these problem.

While it would be nice if Wikidata prevented this, the more important issue (and much simpler) is fixing the bug in the bot which created two identical items.

My guess is the bot is running multiple threads and they are not coordinated, and probably even competing with each other.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

What's the status here currently? Are a lot of duplicate items still being created this way?

matej_suchanek added a project: TestMe.
matej_suchanek set Security to None.
matej_suchanek removed a subscriber: Wikidata-bugs.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 5:31 PM
aude added a subscriber: aude.EditedFeb 24 2016, 1:35 PM

still happens (as of April 2015, at least), e.g. with https://www.wikidata.org/wiki/Q19842747 and https://www.wikidata.org/wiki/Q19842748

both items were created at the same time:

[wikidatawiki]> select min(rev_timestamp) from revision where rev_page = 21444225;
+--------------------+
| min(rev_timestamp) |
+--------------------+
| 20150430202736     |
+--------------------+
1 row in set (0.00 sec)

[wikidatawiki]> select min(rev_timestamp) from revision where rev_page = 21444224;
+--------------------+
| min(rev_timestamp) |
+--------------------+
| 20150430202736     |
+--------------------+
1 row in set (0.00 sec)

and Q19842748 has a lower page id than Q19842747

Qgil removed a subscriber: Qgil.Feb 24 2016, 3:16 PM
hoo renamed this task from prevent creation of items having the same sitelinks to Prevent creation of items having the same sitelinks (duplicates).Aug 10 2016, 3:46 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 10 2016, 3:46 PM
Nikki added a subscriber: Nikki.Oct 13 2016, 3:10 PM
Nikki added a comment.Oct 13 2016, 8:01 PM

We're still getting quite a few duplicates. In the 2016-02-15 dump I found 951 sitelinks that appear more than once, in the 2016-10-10 dump there are 3914. I haven't checked all of them, but I've already come across a bunch of examples with quite a bit of time between the creations, e.g.:

https://www.wikidata.org/wiki/Q23889992
https://www.wikidata.org/wiki/Q23890002
https://www.wikidata.org/wiki/Q23890013
https://www.wikidata.org/wiki/Q23890309

These are from April 2016. There's nearly half an hour between the first and last one.

https://www.wikidata.org/wiki/Q21066942
https://www.wikidata.org/wiki/Q23760872

The sitelink on the first item was updated in March 2016, the second item was created almost a month later.

https://www.wikidata.org/wiki/Q19656655
https://www.wikidata.org/wiki/Q19972345

The first item was created in March 2015, the second was created over two months later.

Also:

https://www.wikidata.org/wiki/Q3778334
https://www.wikidata.org/wiki/Q3778170
https://www.wikidata.org/wiki/Q3778109
https://www.wikidata.org/wiki/Q3777949
https://www.wikidata.org/wiki/Q3778306
https://www.wikidata.org/wiki/Q3777922

It seems that in May 2015 the pages were combined together and the histories merged. Those didn't involve creating a new item... should there be a different ticket for that?

Beta16 raised the priority of this task from Medium to High.Oct 14 2016, 7:27 AM
hoo added a comment.Oct 17 2016, 1:19 PM

The problem here is that we do these constraints checks based on the wb_items_per_site table. This is (should be) updated immediately after an edit happened (thus the checks worked correctly after the change got picked up by all database replicas).

I've just fixed another occurrence of this: Q37637657 and Q37637661.

hoo added a comment.Oct 9 2018, 4:26 PM

I think that was repo/maintenance/rebuildItemsPerSite.php which reports problematic items.

We can re-run it, but should probably only do so after the DC switchback (given the script runs for quite some time). I'll kick it off on Monday (in case everything is fine).

Mentioned in SAL (#wikimedia-operations) [2018-10-15T11:29:24Z] <hoo> Started rebuildItemsPerSite on mwmaint1002 (T44325). Can be killed at any time, if necessary.

Robby added a subscriber: Robby.Oct 15 2018, 1:36 PM
Robby added a comment.Oct 15 2018, 1:40 PM

There are more examples and a description of how such duplicates were generated unintentionally https://www.wikidata.org/wiki/Wikidata:Project_chat#Items_created_unintentionally_twice_on_several_occasions

@hoo did we ever get a result from that script run?

Robby added a comment.Jan 17 2019, 7:35 PM

The list of more examples and a description of how such duplicates were generated unintentionally is now availyble on: https://www.wikidata.org/wiki/Wikidata:Project_chat/Archive/2018/10#Items_created_unintentionally_twice_on_several_occasions

hoo added a comment.Apr 4 2019, 2:46 PM

@hoo did we ever get a result from that script run?

I forgot about this… most of this seems to still be unresolved, so I put it up on https://www.wikidata.org/wiki/Wikidata:True_duplicates#Items_with_conflicting_sitelinks.

Robby added a comment.Apr 25 2019, 8:25 AM

Today there was again twice a creation of duplicate items in wikidata:

2019-04-25T06:23:34 diff hist +466‎ N Category:2012 in Judaism (Q63323044) ‎ ‎Created a new Item Tag: PHP7
2019-04-25T06:23:34 diff hist +466‎ N Category:2012 in Judaism (Q63323045) ‎ ‎Created a new Item current Tag: PHP7

2019-04-25T06:18:31 diff hist +463‎ N Category:1896 in Poland (Q63323035) ‎ ‎Created a new Item Tag: PHP7
2019-04-25T06:18:31 diff hist +463‎ N Category:1896 in Poland (Q63323036) ‎ ‎Created a new Item current Tag: PHP7

Today there was again on 7 occassions unintended creation of duplicate items in wikidata:

2019-05-15T23:02:42 diff hist +466‎ N Category:1894 in Judaism (Q63864072) ‎ ‎Created a new Item current
2019-05-15T23:02:42 diff hist +466‎ N Category:1894 in Judaism (Q63864074) ‎ ‎Created a new Item current

2019-05-15T23:01:47 diff hist +466‎ N Category:1891 in Judaism (Q63864036) ‎ ‎Created a new Item current
2019-05-15T23:01:47 diff hist +466‎ N Category:1891 in Judaism (Q63864037) ‎ ‎Created a new Item current

2019-05-15T22:59:02 diff hist +466‎ N Category:1890 in Judaism (Q63863914) ‎ ‎Created a new Item
2019-05-15T22:59:02 diff hist +466‎ N Category:1890 in Judaism (Q63863915) ‎ ‎Created a new Item current

2019-05-15T00:41:11 diff hist +466‎ N Category:1861 in Judaism (Q63852412) ‎ ‎Created a new Item Tag: PHP7
2019-05-15T00:41:11 diff hist +466‎ N (Q63852413) ‎ ‎Created a new Item Tag: PHP7

2019-05-15T00:38:09 diff hist +466‎ N Category:1863 in Judaism (Q63852406) ‎ ‎Created a new Item Tag: PHP7
2019-05-15T00:38:09 diff hist +466‎ N (Q63852407) ‎ ‎Created a new Item Tag: PHP7

2019-05-15T00:35:59 diff hist +466‎ N Category:1864 in Judaism (Q63852400) ‎ ‎Created a new Item Tag: PHP7
2019-05-15T00:35:59 diff hist +466‎ N (Q63852401) ‎ ‎Created a new Item Tag: PHP7

2019-05-15T00:30:44 diff hist +466‎ N Category:1867 in Judaism (Q63852214) ‎ ‎Created a new Item Tag: PHP7
2019-05-15T00:30:44 diff hist +466‎ N (Q63852215) ‎ ‎Created a new Item Tag: PHP7

Each of this happened when i proceeded like this on a category page on Commons I clicked on the menu point "In Wikipedia Add links" in the side menu bar for a category which was no yet linked to any wikidata item and linking it to a category on en-wikipedia which as well at this moment was not yet linked to any wikidata item. When the 'system' then creates the corresponding item on wikidata with links to commons and to en-wikipedia than this item is created twice.

maybe this can help a developper to reproduce this issue

And here are another 3 examples where creating wikidata items on base of categories on Commons lead to the creation of 2 items on wikidata linked to the same pages on Commons and on en-wikipedia

2019-05-15T23:02:42 diff hist +466‎ N Category:1894 in Judaism (Q63864072) ‎ ‎Created a new Item
2019-05-15T23:02:42 diff hist +466‎ N (Q63864074) ‎ ‎Created a new Item

2019-05-15T23:01:47 diff hist +466‎ N Category:1891 in Judaism (Q63864036) ‎ ‎Created a new Item
2019-05-15T23:01:47 diff hist +466‎ N (Q63864037) ‎ ‎Created a new Item

2019-05-15T22:59:02 diff hist +466‎ N Category:1890 in Judaism (Q63863914) ‎ ‎Created a new Item
2019-05-15T22:59:02 diff hist +466‎ N (Q63863915) ‎ ‎Created a new Item

Robby added a comment.Jul 31 2019, 4:44 PM

A few more examples of double creations in wikidata which where done without that I intended to do so:

2019-06-28T23:26:49 diff hist +469‎ N Adolph Schreiber House (Q64864961) ‎ ‎Created a new Item current
2019-06-28T23:26:49 diff hist +469‎ N Adolph Schreiber House (Q64864962) ‎ ‎Created a new Item current

2019-06-26T23:47:59 diff hist +436‎ N Klehm House (Q64833963) ‎ ‎Created a new Item current
2019-06-26T23:47:58 diff hist +436‎ N Klehm House (Q64833962) ‎ ‎Created a new Item current

2019-06-26T23:42:05 diff hist +466‎ N Kieldson Double House (Q64833830) ‎ ‎Created a new Item current
2019-06-26T23:42:04 diff hist +466‎ N Kieldson Double House (Q64833829) ‎ ‎Created a new Item current

2019-06-05T22:35:56 diff hist +469‎ N Category:Earls of Balfour (Q64409304) ‎ ‎Created a new Item current Tag: PHP7
2019-06-05T22:35:55 diff hist +469‎ N (Q64409303) ‎ ‎Created a new Item Tag: PHP7

2019-05-22T20:07:25 diff hist +466‎ N Category:1886 in Judaism (Q63985592) ‎ ‎Created a new Item
2019-05-22T20:07:25 diff hist +466‎ N (Q63985594) ‎ ‎Created a new Item

2019-05-19T19:26:35 diff hist +478‎ N Category:Fort Meade, Florida (Q63955820) ‎ ‎Created a new Item current
2019-05-19T19:26:34 diff hist +478‎ N Category:Fort Meade, Florida (Q63955819) ‎ ‎Created a new Item

as I create most of the items I create in wikidata the same way ans as this does not occur systematically I could imagine that this just happens if certain parameters are apllicable to the database.

Unfortunately I am not able to reproduce the phenomena I can just locate them in my contributions list.

Robby added a comment.Jul 31 2019, 5:00 PM

Concerning the duplicates mentionned in T229391: Two wikidata items with the same sitelink.

I noted from the respective Revision history in wikidata that we have for their creation the following:

Q64008110: 2019-05-24T17:49:07‎ TAKASUGI Shinji talk contribs‎ 595 bytes +595‎ ‎Created a new Item
Q64008111: 2019-05-24T17:49:07‎ TAKASUGI Shinji talk contribs‎ 595 bytes +595‎ ‎Created a new Item

so for these 2 items similar to the ones I listed in various previous comments 2 items were created within the same second with the same content.

Unfortunately my knowledge of databases and tools to analyse them does not allow me to create reports to find in the wikidata database more such exempls but i am quite confinced that there are many more of such double creations in wikidata either in the sam e second or within a few seconds.